import React from "react"
import { Link } from "gatsby"
import { postTitle, postDate, postHeader, postListItem, postExcerpt } from '../styles/post-link.module.scss'

const PostLink = ({ post }) => {

  const date = new Date(post.frontmatter.date)
  const options = { year: 'numeric', month: 'long', day: 'numeric' };
  const postDateString = date.toLocaleDateString('en', options);
  const postUrl = "/posts" + post.fields.slug

  return (
    <Link to={postUrl}>
      <div className={postListItem} role="listitem">
        <div className={postHeader} >
          <span className={postTitle}>{post.frontmatter.title}</span>
          <span className={postDate}>{postDateString}</span>
        </div>
        <div className={postExcerpt}>
          <p>{post.excerpt}</p>
        </div>
      </div>
    </Link>

  )
}

export default PostLink